//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include <DBClient.hpp>
#include <DB.hpp>
#include <DBLocal.hpp>
#include <DBLocalS.hpp>
#include <Provider.hpp>
#include <QDBGrids.hpp>
#include <QGrids.hpp>
#include <SqlExpr.hpp>
#include <QActnList.hpp>
#include <QDBCtrls.hpp>
//---------------------------------------------------------------------------
class TOverviewWin : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
  TSQLClientDataSet *ProgramDataSet;
  TDBGrid *ProgramGrid;
  TDataSource *ProgramDataSource;
  TButton *DetailButton;
  TActionList *ActionList1;
  TAction *DetailAction;
  TSQLClientDataSet *ChannelDataSet;
  TDataSource *ChannelDataSource;
  TDBLookupComboBox *ChannelMinCombo;
  TDBLookupComboBox *ChannelMaxCombo;
  TButton *RefreshButton;
  TAction *RefreshAction;
  TComboBox *DateMinCombo;
  TComboBox *TimeMinCombo;
  TComboBox *TimeMaxCombo;
  TComboBox *DateMaxCombo;
  TLabel *CountLabel;
  TLabel *Label2;
  TCheckBox *AutoRefreshCheck;
  TAction *AutoRefreshAction;
  TEdit *SearchEdit;
  TButton *SearchButton;
  TAction *SearchAction;
  TSQLClientDataSet *SearchDataSet;
  TDataSource *SearchDataSource;
  TComboBox *CatTypeCombo;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall DetailActionExecute(TObject *Sender);
  void __fastcall RefreshActionExecute(TObject *Sender);
  void __fastcall AutoRefreshActionExecute(TObject *Sender);
  void __fastcall SearchActionExecute(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
  __fastcall TOverviewWin(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOverviewWin *OverviewWin;
//---------------------------------------------------------------------------
#endif
