//---------------------------------------------------------------------------

#ifndef SQLH
#define SQLH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include <DB.hpp>
#include <DBXpress.hpp>
#include <SqlExpr.hpp>
#include <DBClient.hpp>
#include <DBLocal.hpp>
#include <DBLocalS.hpp>
#include <Provider.hpp>
//---------------------------------------------------------------------------
class TSQLModule : public TDataModule
{
__published:	// Von der IDE verwaltete Komponenten
        TSQLConnection *Conn;
  TSQLClientDataSet *SearchDataSet;
  void __fastcall DataModuleCreate(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
        __fastcall TSQLModule(TComponent* Owner);
        int __fastcall GetNewID(const AnsiString& table,
                                const AnsiString& idcolumn);
        // DB connection used, from mysql.txt
        AnsiString hostname;
        AnsiString databasename;
        AnsiString username;
        AnsiString password;
};
//---------------------------------------------------------------------------
extern PACKAGE TSQLModule *SQLModule;
//---------------------------------------------------------------------------
#endif
